# Local_Memory_Pool.h File Reference

`#include "ace/os_include/sys/os_mman.h"`
`#include "ace/ACE.h"`
`#include "ace/Unbounded_Set.h"`

Include dependency graph for Local_Memory_Pool.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Local_Memory_Pool_Options
| Helper class for Local Memory Pool constructor options. More...
class | ACE_Local_Memory_Pool
| Make a memory pool that is based on C++ new/delete. This is useful for integrating existing components that use new/delete into the ACE Malloc scheme... More...

## Detailed Description

Id
  Local_Memory_Pool.h,v 4.5 2005/10/28 16:14:52 ossama Exp

Author:
  Dougls C. Schmidt <schmidt@cs.wustl.edu>

  Prashant Jain <pjain@cs.wustl.edu>